import { EventEmitter, OnInit, OnDestroy } from '@angular/core';
import { services } from 'typescript-angular-utilities';
import __guid = services.guid;
import { DocumentWrapper } from '../../services/document/document.provider';
export interface IOffClickEvent extends MouseEvent {
    rlEventIdentifier: string;
}
export declare class OffClickDirective implements OnInit, OnDestroy {
    offClick: EventEmitter<any>;
    private _active;
    active: boolean;
    listener: {
        ($event: MouseEvent): void;
    };
    identifier: string;
    document: Document;
    constructor(guidService: __guid.GuidService, document: DocumentWrapper);
    ngOnInit(): void;
    addListener(): void;
    removeListener(): void;
    ngOnDestroy(): void;
    onClick($event: IOffClickEvent): void;
}
